CMakeLists.txt: switch from O0 to Og
add new man page notcurses_tree.3 #1164
add new man page notcurses_tree.3 #1164
nctree_options definition #1164
nctree: add nctreecb to options #1164
add new man page notcurses_tree.3 #1164
nctree_options definition #1164
nctree: add nctreecb to options #1164
nctree API cut 1 #1164
man pages: relate nctree and ncreel #1164
add new man page notcurses_tree.3 #1164
nctree_options definition #1164
nctree: add nctreecb to options #1164
nctree API cut 1 #1164
man pages: relate nctree and ncreel #1164
implment nctree_create()/free() #1164
initial nctree unit tests #1164
add nctree movement api #1164
add new man page notcurses_tree.3 #1164
nctree_options definition #1164
nctree: add nctreecb to options #1164
nctree API cut 1 #1164
man pages: relate nctree and ncreel #1164
implment nctree_create()/free() #1164
initial nctree unit tests #1164
add nctree movement api #1164
nctree tests: render planes #1164
add new man page notcurses_tree.3 #1164
nctree_options definition #1164
nctree: add nctreecb to options #1164
nctree API cut 1 #1164
man pages: relate nctree and ncreel #1164
implment nctree_create()/free() #1164
initial nctree unit tests #1164
add nctree movement api #1164
nctree tests: render planes #1164
tree: implement nctree_plane() #1164
tree: rationalize data organization #1164
nctree: test NULL callback case for real #1164
nctree: keep ncplane in toplevel #1164
nctree: prep_initial_path(), nctree_focused() #1164
nctree: test nctree_focused() #1164
nctree_create(): free plane on all error paths #1164
add new man page notcurses_tree.3 #1164
nctree_options definition #1164
nctree: add nctreecb to options #1164
nctree API cut 1 #1164
man pages: relate nctree and ncreel #1164
implment nctree_create()/free() #1164
initial nctree unit tests #1164
add nctree movement api #1164
nctree tests: render planes #1164
tree: implement nctree_plane() #1164
tree: rationalize data organization #1164
nctree: test NULL callback case for real #1164
nctree: keep ncplane in toplevel #1164
nctree: prep_initial_path(), nctree_focused() #1164
nctree: test nctree_focused() #1164
nctree_create(): free plane on all error paths #1164
add new man page notcurses_tree.3 #1164
nctree_options definition #1164
nctree: add nctreecb to options #1164
nctree API cut 1 #1164
man pages: relate nctree and ncreel #1164
implment nctree_create()/free() #1164
initial nctree unit tests #1164
add nctree movement api #1164
nctree tests: render planes #1164
tree: implement nctree_plane() #1164
tree: rationalize data organization #1164
nctree: test NULL callback case for real #1164
nctree: keep ncplane in toplevel #1164
nctree: prep_initial_path(), nctree_focused() #1164
nctree: test nctree_focused() #1164
nctree_create(): free plane on all error paths #1164
nctree_prev(): implement it #1164
nctree_prev(): test cases pass #1164
nctree: toss unused code #1164
add new man page notcurses_tree.3 #1164
nctree_options definition #1164
nctree: add nctreecb to options #1164
nctree API cut 1 #1164
man pages: relate nctree and ncreel #1164
implment nctree_create()/free() #1164
initial nctree unit tests #1164
add nctree movement api #1164
nctree tests: render planes #1164
tree: implement nctree_plane() #1164
tree: rationalize data organization #1164
nctree: test NULL callback case for real #1164
nctree: keep ncplane in toplevel #1164
nctree: prep_initial_path(), nctree_focused() #1164
nctree: test nctree_focused() #1164
nctree_create(): free plane on all error paths #1164
nctree_prev(): implement it #1164
nctree_prev(): test cases pass #1164
nctree: toss unused code #1164
curcurry: O(1) nctree_focused() #1164
nctree: keep current item, not current curry #1164
nctree_redraw: create the plane for cb #1164
nctree_redraw: invoke callback #1164
tree: implement NCKEY_HOME #1164
nctree: log an error if dup_tree() fails #1164
tree PoC: fill in curries #1164
tree PoC: render and implement simple callback #1164
curcurry: O(1) nctree_focused() #1164
nctree: keep current item, not current curry #1164
nctree_redraw: create the plane for cb #1164
nctree_redraw: invoke callback #1164
tree: implement NCKEY_HOME #1164
nctree: log an error if dup_tree() fails #1164
tree PoC: fill in curries #1164
tree PoC: render and implement simple callback #1164
curcurry: O(1) nctree_focused() #1164
nctree: keep current item, not current curry #1164
nctree_redraw: create the plane for cb #1164
nctree_redraw: invoke callback #1164
tree: implement NCKEY_HOME #1164
nctree: log an error if dup_tree() fails #1164
tree PoC: fill in curries #1164
tree PoC: render and implement simple callback #1164
nctree_options: add indentcols, reject < 0 #1164
nctree: structure out nctree_redraw() #1164
tree PoC: supply indentcols, offer input #1164
nctree: goto_first_item() true first #1164
tree PoC: resize to 1 row in callback #1164
nctree: implement iteration #1164
nctree: navigate through #1164
nctree: indent proper # of levels #1164
tree PoC: add some SF uranium #1164
tree PoC: add some SF uranium #1164
tree PoC: add some SF uranium #1164
nctree PoC: fill out uranium #1164
tree PoC: reset cursor #1164
tree unit tests: add TraverseLongTree #1164
nctree: fix prev iterator #1164
nctree (#1361)

The nctree widget, PoC, and unitt rs #1164.
nctree: pass distance to cbfxn #1164
nctree PoC: set backgrounds relative to active #1164
nctree: clean up items pushed off the top #1164
nctree: free items pushed below screen #1164
nctree: pass distance to cbfxn #1164
nctree PoC: set backgrounds relative to active #1164
nctree: clean up items pushed off the top #1164
nctree: free items pushed below screen #1164
